Bug 97612 - xauth missing for server installation
Summary: xauth missing for server installation
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: comps   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-18 13:32 UTC by Boris Folgmann
Modified: 2014-03-17 02:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 20:55:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Boris Folgmann 2003-06-18 13:32:14 UTC
Description of problem:
XFree86-xauth is not installed when doing a server installation. This means that
X11Forwarding using ssh does not work. This is not very good, since
redhat-config-* do not work without this!

Try ssh -Xv host

You get:

debug1: Remote: No xauth program; cannot forward with spoofing.

I suggest to add xauth to the list of the servers RPMs.

Comment 1 Mike A. Harris 2003-06-19 15:42:26 UTC
XFree86 doesn't install itself, so this isn't an XFree86 bug or problem.
There is no XFree86 bug here.  Reassigning to anaconda.

Comment 2 Michael Fulbright 2003-06-19 18:33:31 UTC
Comps issue.

Comment 3 Bill Nottingham 2003-06-19 18:40:02 UTC
Added

Comment 4 Bill Nottingham 2003-06-19 20:55:18 UTC
Woops

Comment 5 Bill Nottingham 2003-06-19 20:55:44 UTC
XFree86 requires xauth, so this isn't needed in comps.

Comment 6 Boris Folgmann 2003-06-20 20:29:42 UTC
Ok, is it now in the next server installation or not?

boris@titan boris$ rpm -q --requires redhat-config-users
libuser
python2
pygtk2
pygtk2-libglade
usermode >= 1.36
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/bin/sh
/usr/bin/python2.2

IMHO xauth should be in this list. Or can you use it without xauth? At least not
over ssh I assume.

Comment 7 Bill Nottingham 2003-06-20 21:41:15 UTC
It is included in any install that installs XFree86.

Comment 8 Boris Folgmann 2003-06-21 15:32:30 UTC
But you don't need XFree86 on a server.

Comment 9 Bill Nottingham 2003-06-23 14:18:01 UTC
It is not entirely obvious that you always want xauth on a server, either,
unless you have *specific* X-using config tools installed. 

xauth can be added to the config tools group, I suppose. Done in CVS.


Note You need to log in before you can comment on or make changes to this bug.